name: Test Pull Request
on:
  pull_request:
    branches:
      - 'main'
      - 'develop'

env:
  FULL_TAG: git.mrmeeb.stream/mrmeeb/snmptrap:develop

jobs:
  "Build Image":
    runs-on: [ubuntu-docker-latest, linux/amd64]
    steps:
      - name: Set up QEMU
        uses: docker/setup-qemu-action@v3
      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v3
      - name: Build
        uses: docker/build-push-action@v5
        with:
          push: false
          platforms: linux/amd64,linux/arm64
          tags: ${{ env.FULL_TAG }}
          provenance: false
      - name: Notify on failure
        uses: rjstone/discord-webhook-notify@v1
        if: failure()
        with:
          severity: error
          details: Build failed!
          webhookUrl: ${{ secrets.DISCORD_WEBHOOK }}
          username: Gitea
          avatarUrl: ${{ vars.RUNNER_ICON_URL }}
  "Notify":
    runs-on: [ubuntu-docker-latest, linux/amd64]
    needs: ["Build Image"]
    steps:
      - name: Notify of success
        uses: rjstone/discord-webhook-notify@v1
        if: success()
        with:
          severity: info
          details: Build succeeded!
          webhookUrl: ${{ secrets.DISCORD_WEBHOOK }}
          username: Gitea
          avatarUrl: ${{ vars.RUNNER_ICON_URL }}